﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Modèle
{

    /// <summary>
    /// Classe Position qui permet de connaitre la surface de répartition d'un requin
    /// Cependant nous n'avons pas eu le temps d'implémenter cette classe dans les requins
    /// </summary>
    public class Position
    {
        public float LattitudeDeb { get; set; }     //Int lattitude la plus faible
        public float LattitudeFin { get; set; }     //Int lattitude la plus haute
        public float LongitudeDeb { get; set; }     //Int longitude la plus faible
        public float LongitudeFin { get; set; }     //Int longitude la plus haute


        /// <summary>
        /// Méthode Equals qui permet de savoir si une position est égale à une autre
        /// </summary>
        /// <param name="p">Position</param>
        /// <returns>Booléen : true si elles sont égales, false si elles sont différentes</returns>
        public bool Equals(Position p)
        {
            return p.LattitudeDeb == LattitudeDeb && p.LattitudeFin == LattitudeFin && p.LongitudeDeb == LongitudeDeb && p.LongitudeFin == LongitudeFin;
        }

        /// <summary>
        /// Constructeur d'une Position
        /// </summary>

        public Position(int lDeb, int lFin, int longDeb, int longFin)
        {
            LattitudeDeb = lDeb;
            LattitudeFin = lFin;
            LongitudeDeb = longDeb;
            LongitudeFin = longFin;
        }
    }
}
